Bug 235360 - sysutils/luckybackup: fix build with GCC-based architectures
Summary: sysutils/luckybackup: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-31 19:36 UTC by Piotr Kubaj
Modified: 2019-02-05 22:45 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments
patch (320 bytes, patch)
2019-01-31 19:36 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2019-01-31 19:36:17 UTC
Created attachment 201566 [details]
patch

This port requires C++11-compatible compiler. Add USES=compiler:c++11 to fix build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2019-02-04 11:55:49 UTC
A commit references this bug:

Author: linimon
Date: Mon Feb  4 11:55:12 UTC 2019
New revision: 492119
URL: https://svnweb.freebsd.org/changeset/ports/492119

Log:
  This port requires a C++11-compatible compiler.  Add
  USES=compiler:c++11 to fix build on GCC-based architectures.

  PR:		235360
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/sysutils/luckybackup/Makefile